TIVI-153: Add as dependency for Iputils
[profile/ivi/gc.git] / libatomic_ops-1.2 / tests / Makefile.in
1 # Makefile.in generated by automake 1.9.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 SOURCES = $(test_atomic_SOURCES) $(test_atomic_pthreads_SOURCES) $(test_malloc_SOURCES) $(test_stack_SOURCES)
17
18 srcdir = @srcdir@
19 top_srcdir = @top_srcdir@
20 VPATH = @srcdir@
21 pkgdatadir = $(datadir)/@PACKAGE@
22 pkglibdir = $(libdir)/@PACKAGE@
23 pkgincludedir = $(includedir)/@PACKAGE@
24 top_builddir = ..
25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26 INSTALL = @INSTALL@
27 install_sh_DATA = $(install_sh) -c -m 644
28 install_sh_PROGRAM = $(install_sh) -c
29 install_sh_SCRIPT = $(install_sh) -c
30 INSTALL_HEADER = $(INSTALL_DATA)
31 transform = $(program_transform_name)
32 NORMAL_INSTALL = :
33 PRE_INSTALL = :
34 POST_INSTALL = :
35 NORMAL_UNINSTALL = :
36 PRE_UNINSTALL = :
37 POST_UNINSTALL = :
38 build_triplet = @build@
39 host_triplet = @host@
40 target_triplet = @target@
41 check_PROGRAMS = test_atomic$(EXEEXT) test_atomic_pthreads$(EXEEXT) \
42         test_stack$(EXEEXT) test_malloc$(EXEEXT)
43 subdir = tests
44 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
45 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
46 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
47 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
48         $(ACLOCAL_M4)
49 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
50 CONFIG_HEADER = $(top_builddir)/src/config.h
51 CONFIG_CLEAN_FILES =
52 am_test_atomic_OBJECTS = test_atomic.$(OBJEXT)
53 test_atomic_OBJECTS = $(am_test_atomic_OBJECTS)
54 test_atomic_DEPENDENCIES = ../src/libatomic_ops.a
55 am_test_atomic_pthreads_OBJECTS =  \
56         test_atomic_pthreads-test_atomic.$(OBJEXT)
57 test_atomic_pthreads_OBJECTS = $(am_test_atomic_pthreads_OBJECTS)
58 test_atomic_pthreads_DEPENDENCIES = ../src/libatomic_ops.a
59 am_test_malloc_OBJECTS = test_malloc.$(OBJEXT)
60 test_malloc_OBJECTS = $(am_test_malloc_OBJECTS)
61 test_malloc_DEPENDENCIES = ../src/libatomic_ops_gpl.a \
62         ../src/libatomic_ops.a
63 am_test_stack_OBJECTS = test_stack.$(OBJEXT)
64 test_stack_OBJECTS = $(am_test_stack_OBJECTS)
65 test_stack_DEPENDENCIES = ../src/libatomic_ops_gpl.a \
66         ../src/libatomic_ops.a
67 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
68 depcomp = $(SHELL) $(top_srcdir)/depcomp
69 am__depfiles_maybe = depfiles
70 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
71         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
72 CCLD = $(CC)
73 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
74 SOURCES = $(test_atomic_SOURCES) $(test_atomic_pthreads_SOURCES) \
75         $(test_malloc_SOURCES) $(test_stack_SOURCES)
76 DIST_SOURCES = $(test_atomic_SOURCES) $(test_atomic_pthreads_SOURCES) \
77         $(test_malloc_SOURCES) $(test_stack_SOURCES)
78 ETAGS = etags
79 CTAGS = ctags
80 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
81 ACLOCAL = @ACLOCAL@
82 AMDEP_FALSE = @AMDEP_FALSE@
83 AMDEP_TRUE = @AMDEP_TRUE@
84 AMTAR = @AMTAR@
85 AUTOCONF = @AUTOCONF@
86 AUTOHEADER = @AUTOHEADER@
87 AUTOMAKE = @AUTOMAKE@
88 AWK = @AWK@
89 CC = @CC@
90 CCAS = @CCAS@
91 CCASFLAGS = @CCASFLAGS@
92 CCDEPMODE = @CCDEPMODE@
93 CFLAGS = @CFLAGS@
94 CPP = @CPP@
95 CPPFLAGS = @CPPFLAGS@
96 CYGPATH_W = @CYGPATH_W@
97 DEFS = @DEFS@
98 DEPDIR = @DEPDIR@
99 ECHO_C = @ECHO_C@
100 ECHO_N = @ECHO_N@
101 ECHO_T = @ECHO_T@
102 EGREP = @EGREP@
103 EXEEXT = @EXEEXT@
104 INSTALL_DATA = @INSTALL_DATA@
105 INSTALL_PROGRAM = @INSTALL_PROGRAM@
106 INSTALL_SCRIPT = @INSTALL_SCRIPT@
107 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
108 LDFLAGS = @LDFLAGS@
109 LIBOBJS = @LIBOBJS@
110 LIBS = @LIBS@
111 LTLIBOBJS = @LTLIBOBJS@
112 MAKEINFO = @MAKEINFO@
113 NEED_ASM_FALSE = @NEED_ASM_FALSE@
114 NEED_ASM_TRUE = @NEED_ASM_TRUE@
115 OBJEXT = @OBJEXT@
116 PACKAGE = @PACKAGE@
117 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
118 PACKAGE_NAME = @PACKAGE_NAME@
119 PACKAGE_STRING = @PACKAGE_STRING@
120 PACKAGE_TARNAME = @PACKAGE_TARNAME@
121 PACKAGE_VERSION = @PACKAGE_VERSION@
122 PATH_SEPARATOR = @PATH_SEPARATOR@
123 PICFLAG = @PICFLAG@
124 RANLIB = @RANLIB@
125 SET_MAKE = @SET_MAKE@
126 SHELL = @SHELL@
127 STRIP = @STRIP@
128 VERSION = @VERSION@
129 ac_ct_CC = @ac_ct_CC@
130 ac_ct_RANLIB = @ac_ct_RANLIB@
131 ac_ct_STRIP = @ac_ct_STRIP@
132 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
133 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
134 am__include = @am__include@
135 am__leading_dot = @am__leading_dot@
136 am__quote = @am__quote@
137 am__tar = @am__tar@
138 am__untar = @am__untar@
139 bindir = @bindir@
140 build = @build@
141 build_alias = @build_alias@
142 build_cpu = @build_cpu@
143 build_os = @build_os@
144 build_vendor = @build_vendor@
145 datadir = @datadir@
146 exec_prefix = @exec_prefix@
147 host = @host@
148 host_alias = @host_alias@
149 host_cpu = @host_cpu@
150 host_os = @host_os@
151 host_vendor = @host_vendor@
152 includedir = @includedir@
153 infodir = @infodir@
154 install_sh = @install_sh@
155 libdir = @libdir@
156 libexecdir = @libexecdir@
157 localstatedir = @localstatedir@
158 mandir = @mandir@
159 mkdir_p = @mkdir_p@
160 oldincludedir = @oldincludedir@
161 prefix = @prefix@
162 program_transform_name = @program_transform_name@
163 sbindir = @sbindir@
164 sharedstatedir = @sharedstatedir@
165 sysconfdir = @sysconfdir@
166 target = @target@
167 target_alias = @target_alias@
168 target_cpu = @target_cpu@
169 target_os = @target_os@
170 target_vendor = @target_vendor@
171 EXTRA_DIST = test_atomic.template list_atomic.template run_parallel.inc \
172            test_atomic_include.h
173
174 # We distribute test_atomic_include.h, since it's hard to regenerate
175 # on Windows without sed.
176 BUILT_SOURCES = test_atomic_include.h list_atomic.i
177 CLEANFILES = test_atomic_include.h list_atomic.c list_atomic.i
178 AM_CPPFLAGS = -I$(srcdir)/../src
179 TESTS = test_atomic test_atomic_pthreads test_stack test_malloc
180 test_atomic_SOURCES = test_atomic.c
181 test_atomic_LDADD = -lpthread ../src/libatomic_ops.a
182 test_atomic_pthreads_SOURCES = test_atomic.c 
183 test_atomic_pthreads_CPPFLAGS = -DAO_USE_PTHREAD_DEFS $(AM_CPPFLAGS)
184 test_atomic_pthreads_LDADD = -lpthread ../src/libatomic_ops.a
185 test_stack_SOURCES = test_stack.c 
186 test_stack_LDADD = -lpthread ../src/libatomic_ops_gpl.a ../src/libatomic_ops.a 
187 test_malloc_SOURCES = test_malloc.c 
188 test_malloc_LDADD = -lpthread ../src/libatomic_ops_gpl.a ../src/libatomic_ops.a 
189 all: $(BUILT_SOURCES)
190         $(MAKE) $(AM_MAKEFLAGS) all-am
191
192 .SUFFIXES:
193 .SUFFIXES: .c .o .obj
194 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
195         @for dep in $?; do \
196           case '$(am__configure_deps)' in \
197             *$$dep*) \
198               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
199                 && exit 0; \
200               exit 1;; \
201           esac; \
202         done; \
203         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
204         cd $(top_srcdir) && \
205           $(AUTOMAKE) --gnu  tests/Makefile
206 .PRECIOUS: Makefile
207 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
208         @case '$?' in \
209           *config.status*) \
210             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
211           *) \
212             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
213             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
214         esac;
215
216 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
217         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
218
219 $(top_srcdir)/configure:  $(am__configure_deps)
220         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
221 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
222         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
223
224 clean-checkPROGRAMS:
225         -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
226 test_atomic$(EXEEXT): $(test_atomic_OBJECTS) $(test_atomic_DEPENDENCIES) 
227         @rm -f test_atomic$(EXEEXT)
228         $(LINK) $(test_atomic_LDFLAGS) $(test_atomic_OBJECTS) $(test_atomic_LDADD) $(LIBS)
229 test_atomic_pthreads$(EXEEXT): $(test_atomic_pthreads_OBJECTS) $(test_atomic_pthreads_DEPENDENCIES) 
230         @rm -f test_atomic_pthreads$(EXEEXT)
231         $(LINK) $(test_atomic_pthreads_LDFLAGS) $(test_atomic_pthreads_OBJECTS) $(test_atomic_pthreads_LDADD) $(LIBS)
232 test_malloc$(EXEEXT): $(test_malloc_OBJECTS) $(test_malloc_DEPENDENCIES) 
233         @rm -f test_malloc$(EXEEXT)
234         $(LINK) $(test_malloc_LDFLAGS) $(test_malloc_OBJECTS) $(test_malloc_LDADD) $(LIBS)
235 test_stack$(EXEEXT): $(test_stack_OBJECTS) $(test_stack_DEPENDENCIES) 
236         @rm -f test_stack$(EXEEXT)
237         $(LINK) $(test_stack_LDFLAGS) $(test_stack_OBJECTS) $(test_stack_LDADD) $(LIBS)
238
239 mostlyclean-compile:
240         -rm -f *.$(OBJEXT)
241
242 distclean-compile:
243         -rm -f *.tab.c
244
245 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_atomic.Po@am__quote@
246 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_atomic_pthreads-test_atomic.Po@am__quote@
247 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_malloc.Po@am__quote@
248 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_stack.Po@am__quote@
249
250 .c.o:
251 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
252 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
253 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
254 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
255 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
256
257 .c.obj:
258 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
259 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
260 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
261 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
262 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
263
264 test_atomic_pthreads-test_atomic.o: test_atomic.c
265 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_atomic_pthreads_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_atomic_pthreads-test_atomic.o -MD -MP -MF "$(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo" -c -o test_atomic_pthreads-test_atomic.o `test -f 'test_atomic.c' || echo '$(srcdir)/'`test_atomic.c; \
266 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo" "$(DEPDIR)/test_atomic_pthreads-test_atomic.Po"; else rm -f "$(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo"; exit 1; fi
267 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='test_atomic.c' object='test_atomic_pthreads-test_atomic.o' libtool=no @AMDEPBACKSLASH@
268 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
269 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_atomic_pthreads_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_atomic_pthreads-test_atomic.o `test -f 'test_atomic.c' || echo '$(srcdir)/'`test_atomic.c
270
271 test_atomic_pthreads-test_atomic.obj: test_atomic.c
272 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_atomic_pthreads_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_atomic_pthreads-test_atomic.obj -MD -MP -MF "$(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo" -c -o test_atomic_pthreads-test_atomic.obj `if test -f 'test_atomic.c'; then $(CYGPATH_W) 'test_atomic.c'; else $(CYGPATH_W) '$(srcdir)/test_atomic.c'; fi`; \
273 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo" "$(DEPDIR)/test_atomic_pthreads-test_atomic.Po"; else rm -f "$(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo"; exit 1; fi
274 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='test_atomic.c' object='test_atomic_pthreads-test_atomic.obj' libtool=no @AMDEPBACKSLASH@
275 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
276 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_atomic_pthreads_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_atomic_pthreads-test_atomic.obj `if test -f 'test_atomic.c'; then $(CYGPATH_W) 'test_atomic.c'; else $(CYGPATH_W) '$(srcdir)/test_atomic.c'; fi`
277 uninstall-info-am:
278
279 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
280         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
281         unique=`for i in $$list; do \
282             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
283           done | \
284           $(AWK) '    { files[$$0] = 1; } \
285                END { for (i in files) print i; }'`; \
286         mkid -fID $$unique
287 tags: TAGS
288
289 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
290                 $(TAGS_FILES) $(LISP)
291         tags=; \
292         here=`pwd`; \
293         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
294         unique=`for i in $$list; do \
295             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
296           done | \
297           $(AWK) '    { files[$$0] = 1; } \
298                END { for (i in files) print i; }'`; \
299         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
300           test -n "$$unique" || unique=$$empty_fix; \
301           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
302             $$tags $$unique; \
303         fi
304 ctags: CTAGS
305 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
306                 $(TAGS_FILES) $(LISP)
307         tags=; \
308         here=`pwd`; \
309         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
310         unique=`for i in $$list; do \
311             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
312           done | \
313           $(AWK) '    { files[$$0] = 1; } \
314                END { for (i in files) print i; }'`; \
315         test -z "$(CTAGS_ARGS)$$tags$$unique" \
316           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
317              $$tags $$unique
318
319 GTAGS:
320         here=`$(am__cd) $(top_builddir) && pwd` \
321           && cd $(top_srcdir) \
322           && gtags -i $(GTAGS_ARGS) $$here
323
324 distclean-tags:
325         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
326
327 check-TESTS: $(TESTS)
328         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
329         srcdir=$(srcdir); export srcdir; \
330         list='$(TESTS)'; \
331         if test -n "$$list"; then \
332           for tst in $$list; do \
333             if test -f ./$$tst; then dir=./; \
334             elif test -f $$tst; then dir=; \
335             else dir="$(srcdir)/"; fi; \
336             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
337               all=`expr $$all + 1`; \
338               case " $(XFAIL_TESTS) " in \
339               *" $$tst "*) \
340                 xpass=`expr $$xpass + 1`; \
341                 failed=`expr $$failed + 1`; \
342                 echo "XPASS: $$tst"; \
343               ;; \
344               *) \
345                 echo "PASS: $$tst"; \
346               ;; \
347               esac; \
348             elif test $$? -ne 77; then \
349               all=`expr $$all + 1`; \
350               case " $(XFAIL_TESTS) " in \
351               *" $$tst "*) \
352                 xfail=`expr $$xfail + 1`; \
353                 echo "XFAIL: $$tst"; \
354               ;; \
355               *) \
356                 failed=`expr $$failed + 1`; \
357                 echo "FAIL: $$tst"; \
358               ;; \
359               esac; \
360             else \
361               skip=`expr $$skip + 1`; \
362               echo "SKIP: $$tst"; \
363             fi; \
364           done; \
365           if test "$$failed" -eq 0; then \
366             if test "$$xfail" -eq 0; then \
367               banner="All $$all tests passed"; \
368             else \
369               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
370             fi; \
371           else \
372             if test "$$xpass" -eq 0; then \
373               banner="$$failed of $$all tests failed"; \
374             else \
375               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
376             fi; \
377           fi; \
378           dashes="$$banner"; \
379           skipped=""; \
380           if test "$$skip" -ne 0; then \
381             skipped="($$skip tests were not run)"; \
382             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
383               dashes="$$skipped"; \
384           fi; \
385           report=""; \
386           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
387             report="Please report to $(PACKAGE_BUGREPORT)"; \
388             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
389               dashes="$$report"; \
390           fi; \
391           dashes=`echo "$$dashes" | sed s/./=/g`; \
392           echo "$$dashes"; \
393           echo "$$banner"; \
394           test -z "$$skipped" || echo "$$skipped"; \
395           test -z "$$report" || echo "$$report"; \
396           echo "$$dashes"; \
397           test "$$failed" -eq 0; \
398         else :; fi
399
400 distdir: $(DISTFILES)
401         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
402         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
403         list='$(DISTFILES)'; for file in $$list; do \
404           case $$file in \
405             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
406             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
407           esac; \
408           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
409           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
410           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
411             dir="/$$dir"; \
412             $(mkdir_p) "$(distdir)$$dir"; \
413           else \
414             dir=''; \
415           fi; \
416           if test -d $$d/$$file; then \
417             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
418               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
419             fi; \
420             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
421           else \
422             test -f $(distdir)/$$file \
423             || cp -p $$d/$$file $(distdir)/$$file \
424             || exit 1; \
425           fi; \
426         done
427 check-am: all-am
428         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
429         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
430 check: $(BUILT_SOURCES)
431         $(MAKE) $(AM_MAKEFLAGS) check-am
432 all-am: Makefile
433 installdirs:
434 install: $(BUILT_SOURCES)
435         $(MAKE) $(AM_MAKEFLAGS) install-am
436 install-exec: install-exec-am
437 install-data: install-data-am
438 uninstall: uninstall-am
439
440 install-am: all-am
441         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
442
443 installcheck: installcheck-am
444 install-strip:
445         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
446           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
447           `test -z '$(STRIP)' || \
448             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
449 mostlyclean-generic:
450
451 clean-generic:
452         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
453
454 distclean-generic:
455         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
456
457 maintainer-clean-generic:
458         @echo "This command is intended for maintainers to use"
459         @echo "it deletes files that may require special tools to rebuild."
460         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
461 clean: clean-am
462
463 clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am
464
465 distclean: distclean-am
466         -rm -rf ./$(DEPDIR)
467         -rm -f Makefile
468 distclean-am: clean-am distclean-compile distclean-generic \
469         distclean-tags
470
471 dvi: dvi-am
472
473 dvi-am:
474
475 html: html-am
476
477 info: info-am
478
479 info-am:
480
481 install-data-am:
482
483 install-exec-am:
484
485 install-info: install-info-am
486
487 install-man:
488
489 installcheck-am:
490
491 maintainer-clean: maintainer-clean-am
492         -rm -rf ./$(DEPDIR)
493         -rm -f Makefile
494 maintainer-clean-am: distclean-am maintainer-clean-generic
495
496 mostlyclean: mostlyclean-am
497
498 mostlyclean-am: mostlyclean-compile mostlyclean-generic
499
500 pdf: pdf-am
501
502 pdf-am:
503
504 ps: ps-am
505
506 ps-am:
507
508 uninstall-am: uninstall-info-am
509
510 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
511         clean-checkPROGRAMS clean-generic ctags distclean \
512         distclean-compile distclean-generic distclean-tags distdir dvi \
513         dvi-am html html-am info info-am install install-am \
514         install-data install-data-am install-exec install-exec-am \
515         install-info install-info-am install-man install-strip \
516         installcheck installcheck-am installdirs maintainer-clean \
517         maintainer-clean-generic mostlyclean mostlyclean-compile \
518         mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
519         uninstall-am uninstall-info-am
520
521
522 test_atomic_include.h: test_atomic.template
523         sed -e s/XX// $? > $@
524         sed -e s/XX/_release/ $? >> $@
525         sed -e s/XX/_acquire/ $? >> $@
526         sed -e s/XX/_read/ $? >> $@
527         sed -e s/XX/_write/ $? >> $@
528         sed -e s/XX/_full/ $? >> $@
529         sed -e s/XX/_release_write/ $? >> $@
530         sed -e s/XX/_acquire_read/ $? >> $@
531
532 list_atomic.c: list_atomic.template
533         echo "#include \"atomic_ops.h\" " > $@
534         sed -e s/XX// $? >> $@
535         sed -e s/XX/_release/ $? >> $@
536         sed -e s/XX/_acquire/ $? >> $@
537         sed -e s/XX/_read/ $? >> $@
538         sed -e s/XX/_write/ $? >> $@
539         sed -e s/XX/_full/ $? >> $@
540         sed -e s/XX/_release_write/ $? >> $@
541         sed -e s/XX/_acquire_read/ $? >> $@
542
543 list_atomic.i: list_atomic.c
544         $(COMPILE) $? -E > list_atomic.i
545 # Tell versions [3.59,3.63) of GNU make to not export all variables.
546 # Otherwise a system limit (for SysV at least) may be exceeded.
547 .NOEXPORT: